Ubuntu 6.06 LTS / 7.10 / 8.04 LTS / 8.10 : openoffice.org, openoffice.org-amd64 vulnerabilities (USN-677-1)

Ubuntu Security Notice (C) 2008-2013 Canonical, Inc. / NASL script (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing one or more security-related patches.

Description :

Multiple memory overflow flaws were discovered in OpenOffice.org's
handling of WMF and EMF files. If a user were tricked into opening a
specially crafted document, a remote attacker might be able to execute
arbitrary code with user privileges. (CVE-2008-2237, CVE-2008-2238)

Dmitry E. Oboukhov discovered that senddoc, as included in
OpenOffice.org, created temporary files in an insecure way. Local
users could exploit a race condition to create or overwrite files with
the privileges of the user invoking the program. This issue only
affected Ubuntu 8.04 LTS. (CVE-2008-4937).

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 36611 ()

Bugtraq ID:

CVE ID: CVE-2008-2237
CVE-2008-2238
CVE-2008-4937